package com.ruoyi.framework.recovery.service;

import java.util.List;
import com.ruoyi.framework.recovery.domain.WxUserLottery;

/**
 * 微信中奖记录Service接口
 * 
 * @author jin
 * @date 2024-12-17
 */
public interface IWxUserLotteryService 
{
    /**
     * 查询微信中奖记录
     * 
     * @param id 微信中奖记录主键
     * @return 微信中奖记录
     */
    public WxUserLottery selectWxUserLotteryById(Long id);

    /**
     * 查询微信中奖记录列表
     * 
     * @param wxUserLottery 微信中奖记录
     * @return 微信中奖记录集合
     */
    public List<WxUserLottery> selectWxUserLotteryList(WxUserLottery wxUserLottery);

    /**
     * 新增微信中奖记录
     * 
     * @param wxUserLottery 微信中奖记录
     * @return 结果
     */
    public int insertWxUserLottery(WxUserLottery wxUserLottery);

    /**
     * 修改微信中奖记录
     * 
     * @param wxUserLottery 微信中奖记录
     * @return 结果
     */
    public int updateWxUserLottery(WxUserLottery wxUserLottery);

    /**
     * 批量删除微信中奖记录
     * 
     * @param ids 需要删除的微信中奖记录主键集合
     * @return 结果
     */
    public int deleteWxUserLotteryByIds(Long[] ids);

    /**
     * 删除微信中奖记录信息
     * 
     * @param id 微信中奖记录主键
     * @return 结果
     */
    public int deleteWxUserLotteryById(Long id);
}
